### Enumeration

# WebKit NetworkProxyMode

since: 2.16

#### Declaration

    enum WebKit.NetworkProxyMode

#### Description [src]

Enum values used to set the network proxy mode.

Available since: 2.16

#### Members

Name | Description
--- | ---
`WEBKIT_NETWORK_PROXY_MODE_DEFAULT` | Use the default proxy of the system.
`WEBKIT_NETWORK_PROXY_MODE_NO_PROXY` | Do not use any proxy.
`WEBKIT_NETWORK_PROXY_MODE_CUSTOM` | Use custom proxy settings.